I've tried installing Nvidia 396 short term branch driver from CUDA repo. While driver installed and seems to work ok, there's one (serious for me) issue - Vulkan is not working.
I've found this topic on Nvidia forums:

https://devtalk.nvidia.com/default/t...18-and-vulkan/

I assume that might be it - any ideas what can I do to fix this problem on OpenSUSE 42.3? Where can I get missing library? Is there an option to just compile , without installing Nvidia package that can be downloaded from Nvidia site, then just copy the offending part (I know - it's dirty, but would it work)?

Initially I thought it might be due to older vulkan libraries in 42.3 - but even after upgrading those using X11/Wayland repo to 1.1.7 it still failed.